import request from '@/utils/request'

// 查询用户列表
export function listUser(data) {
  return request({
    url: '/tUser/list',
    method: 'post',
    data: data
  })
}

// 查询用户详细
export function getUser(id) {
  return request({
    url: '/tUser/' + id,
    method: 'get'
  })
}

// 新增用户
export function addUser(data) {
  return request({
    url: '/tUser',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateUser(data) {
  return request({
    url: '/tUser',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delUser(id) {
  return request({
    url: '/tUser/' + id,
    method: 'delete'
  })
}

// 导出用户
export function exportUser(query) {
  return request({
    url: '/tUser/export',
    method: 'get',
    params: query
  })
}
